import { Component } from '@angular/core';
import { NumericEditorComponent } from './numeric-editor/numeric-editor.component';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  title = 'app';
  private frameworkComponents;

  constructor(){
    this.frameworkComponents={
      numericEditor: NumericEditorComponent
    }
  }

  columnDefs = [
      {headerName: 'Make', field: 'make', editable: true, cellEditor: 'numericEditor' },
      {headerName: 'Model', field: 'model', editable: true },
      {headerName: 'Price', field: 'price', editable: true}
  ];

  rowData = [
      { make: 15, model: 'Celica', price: 35000 },
      { make: 10, model: 'Mondeo', price: 32000 },
      { make: 9, model: 'Boxter', price: 72000 }
  ];
}
